> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create project items



## OpenAPI

````yaml /swagger.yaml post /projects/{id}/items
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /projects/{id}/items:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Project Item
      summary: Create project items
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyProjectItemsCreate'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBodyProjectItemsCreate'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyProjectItemsCreate:
      type: object
      properties:
        areas:
          type: array
          items:
            type: object
            properties:
              area_id:
                type: integer
              items:
                type: array
                items:
                  type: object
                  properties:
                    revit_id:
                      type: string
                    division_id:
                      type: integer
                    quantity:
                      type: number
                    columns:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                  required:
                    - division_id
                    - quantity
            required:
              - area_id
              - items
        settings:
          type: object
          properties:
            search_column_keys:
              type: array
              items:
                type: string
      required:
        - areas
    responseBodyProjectItemsCreate:
      type: object
      properties:
        faild_items:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              error:
                type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/projectItem'
    error:
      type: object
      properties:
        error:
          type: string
    projectItem:
      properties:
        id:
          type: integer
        project_id:
          type: integer
        position:
          type: integer
        state:
          type: string
          enum:
            - active
            - removed
        quantity:
          type: number
        extra_quantity:
          type: number
        division:
          $ref: '#/components/schemas/category'
        vendor_id:
          type: integer
          nullable: true
        revit_id:
          type: string
          nullable: true
        child_item_ids:
          type: array
          items:
            type: integer
        area_quantities:
          type: array
          items:
            $ref: '#/components/schemas/areaQuantity'
        column_values:
          type: array
          items:
            type: object
            properties:
              column:
                $ref: '#/components/schemas/column'
              displayed_value:
                oneOf:
                  - type: string
                  - type: number
                nullable: true
              calculated_value:
                oneOf:
                  - type: string
                  - type: number
                nullable: true
              users:
                type: array
                items:
                  $ref: '#/components/schemas/user'
              images:
                type: array
                nullable: true
                items:
                  type: object
                  properties:
                    url:
                      type: string
                    small_url:
                      type: string
                    default:
                      type: boolean
                    presentable:
                      type: boolean
              docs:
                type: array
                nullable: true
                items:
                  type: object
                  properties:
                    url:
                      type: string
                    name:
                      type: string
                    extension:
                      type: string
              supplier:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/contact'
              manufacturer:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/contact'
              urls:
                type: array
                items:
                  type: string
    category:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/category'
    areaQuantity:
      properties:
        area_id:
          type: integer
        quantity:
          type: number
        area_multiplier:
          type: integer
    column:
      type: object
      properties:
        id:
          type: integer
        key:
          type: string
        type:
          type: string
        position:
          type: integer
        property:
          type: string
          enum:
            - project
            - product
            - pricing
    user:
      type: object
      properties:
        id:
          type: integer
        email:
          type: string
        name:
          type: string
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````